GNU bug report logs - #42333
Doom Emacs breaks the Emacs autoloads mechanism used in Guix

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Alexandru-Sergiu Marton <brown121407@HIDDEN>; dated Sun, 12 Jul 2020 07:13:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Changed bug title to 'Doom Emacs breaks the Emacs autoloads mechanism used in Guix' from 'Emacs: error on guix-emacs-autoload-packages' Request was from Maxim Cournoyer <maxim.cournoyer@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42333 <at> debbugs.gnu.org:


Received: (at 42333) by debbugs.gnu.org; 24 Jul 2020 23:03:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 24 19:03:22 2020
Received: from localhost ([127.0.0.1]:48935 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jz6in-0001Yl-R5
	for submit <at> debbugs.gnu.org; Fri, 24 Jul 2020 19:03:22 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53586)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brettg@HIDDEN>) id 1jz6il-0001YV-GO
 for 42333 <at> debbugs.gnu.org; Fri, 24 Jul 2020 19:03:19 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34935)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <brettg@HIDDEN>)
 id 1jz6ig-00060T-8n; Fri, 24 Jul 2020 19:03:14 -0400
Received: from [2605:6000:1a0d:48fb::e9] (port=59244 helo=lenovo-t430)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <brettg@HIDDEN>)
 id 1jz6if-0003Bq-NI; Fri, 24 Jul 2020 19:03:14 -0400
From: Brett Gilio <brettg@HIDDEN>
To: Alexandru-Sergiu Marton <brown121407@HIDDEN>
Subject: Re: bug#42333: Emacs: error on guix-emacs-autoload-packages
References: <87h7udm49d.fsf@HIDDEN> <87r1tgj144.fsf@HIDDEN>
 <874kq8kar0.fsf@HIDDEN> <87imejl1zu.fsf@HIDDEN>
Date: Fri, 24 Jul 2020 18:03:25 -0500
In-Reply-To: <87imejl1zu.fsf@HIDDEN> (Alexandru-Sergiu Marton's message of
 "Sun, 19 Jul 2020 22:48:53 +0300")
Message-ID: <87tuxwecsi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42333
Cc: 42333 <at> debbugs.gnu.org, Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Alexandru-Sergiu Marton <brown121407@HIDDEN> writes:
>
> (mapc (lambda (p) (add-load-path! p)) (split-string (getenv "EMACSLOADPATH") ":"))
>

Are you still needing to use this snippet to get your configuration to work?




Information forwarded to bug-guix@HIDDEN:
bug#42333; Package guix. Full text available.

Message received at 42333 <at> debbugs.gnu.org:


Received: (at 42333) by debbugs.gnu.org; 19 Jul 2020 19:49:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 19 15:49:05 2020
Received: from localhost ([127.0.0.1]:33089 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jxFJ3-0003Zl-1o
	for submit <at> debbugs.gnu.org; Sun, 19 Jul 2020 15:49:05 -0400
Received: from mout01.posteo.de ([185.67.36.65]:42204)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brown121407@HIDDEN>) id 1jxFIz-0003Z8-Rw
 for 42333 <at> debbugs.gnu.org; Sun, 19 Jul 2020 15:49:04 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 77C25160060
 for <42333 <at> debbugs.gnu.org>; Sun, 19 Jul 2020 21:48:55 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.ro; s=2017;
 t=1595188135; bh=GAjVBIqPwSPDbk0V/ipBNVOZlsnApCBDI/R1FTcTQCY=;
 h=From:To:Cc:Subject:Date:From;
 b=nzB0NlR1/Z9NviTgA0ArSM8WI3G3kNK4L/eODbtvzoWQgo+gzLaRv8jSP4OXIphD0
 vImmMjVvFtANnzfFB/5ydEdZpiHeIxUWkTvk9e3tu7YxcxyOsvvDE1SK+rq7lDa51E
 Xz9m2PkHkoPhjVkTmoEueFj/bZLBNkxXev+JkAIvD3ijsp8CMyUp5Br91/SIcl6Eti
 5tMULsqOHo97bIrre6Af4M9QMxKrmJOBiRQQTcfvivdmxUIjezeCpRyPXfL3nepG8L
 h+JvizexH0MSAVX1JOv77QfDX3lpL9kZ79OGeugptLJfYrjb8Hr2eODnXhyefy+/Wm
 7FZ5CCTaUwhgw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4B8wQt5NDrz9rxN;
 Sun, 19 Jul 2020 21:48:54 +0200 (CEST)
From: Alexandru-Sergiu Marton <brown121407@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#42333: Emacs: error on guix-emacs-autoload-packages
References: <87h7udm49d.fsf@HIDDEN> <87r1tgj144.fsf@HIDDEN>
 <874kq8kar0.fsf@HIDDEN>
Date: Sun, 19 Jul 2020 22:48:53 +0300
In-Reply-To: <874kq8kar0.fsf@HIDDEN> (Maxim Cournoyer's message of "Wed, 15
 Jul 2020 12:23:47 -0400")
Message-ID: <87imejl1zu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42333
Cc: 42333 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi, sorry for the long time it took to reply.

Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes:

> If you could come with a minimal reproducer, I could have a look.
>
> Otherwise, I'm afraid there's too many variables to keep track
> (emacs-doom, possible conflicts with Org when installed from different
> places, etc.).

I managed to gather more information as I found another person who had
the same problems as me.

Steps to reproduce:
- Install emacs and emacs-telega with guix
- Install Doom Emacs (https://github.com/hlissner/doom-emacs)
- Start Emacs and try M-x telega RET

This should give you an error saying something along the lines of "No
file or directory." Even if it doesn't give you this exact same error,
check what I say below about load-path.

It seems that Doom plays with Emacs' load-path. Telega is just a
concrete example of an Emacs package installed with Guix that isn't
working. You should be able to find problems with many others.

When checking the value of the environment variable EMACSLOADPATH, both
the result from the shell (through echo $EMACSLOADPATH) and from Emacs
(through (getenv "EMACSLOADPATH")) seem to be equal. What is not right
is that the load-path Emacs Lisp variable doesn't contain the paths from
EMACSLOADPATH.

What fixed it for me and the other person was adding this line at the
end of our config.el (Doom's config file):

--8<---------------cut here---------------start------------->8---
(mapc (lambda (p) (add-load-path! p)) (split-string (getenv "EMACSLOADPATH") ":"))
--8<---------------cut here---------------end--------------->8---

This is a hack but gets the job done for now.

I thought about this problem being caused by Doom's envvars file, but
that file contains the correct value of EMACSLOADPATH and we saw that
querying that environment variable from inside Emacs gives the correct
answer.

Finding the root of this problem will be beneficial to a lot of
potential Guix users that might ditch it if they see their beloved Emacs
config doesn't work well with packages installed from Guix.

Cheers,
Sergiu




Information forwarded to bug-guix@HIDDEN:
bug#42333; Package guix. Full text available.

Message received at 42333 <at> debbugs.gnu.org:


Received: (at 42333) by debbugs.gnu.org; 15 Jul 2020 16:23:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 15 12:23:56 2020
Received: from localhost ([127.0.0.1]:53427 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jvkCJ-0003bV-Tw
	for submit <at> debbugs.gnu.org; Wed, 15 Jul 2020 12:23:56 -0400
Received: from mail-qk1-f171.google.com ([209.85.222.171]:38418)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1jvkCI-0003bI-B4
 for 42333 <at> debbugs.gnu.org; Wed, 15 Jul 2020 12:23:55 -0400
Received: by mail-qk1-f171.google.com with SMTP id e13so2355156qkg.5
 for <42333 <at> debbugs.gnu.org>; Wed, 15 Jul 2020 09:23:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=y/lQY1E9cXC/n7aZHD0g8MeC3kAkE7n3IC5OxQXiHrI=;
 b=rmGkc3SWLtmc43nKjn/4As/FOOD4iZUrGdI8PctFc4s/w951mWO1tLV7RWt80g/fGG
 0crRC0ek7g2KcunFZZUYvIG4IOkhc3PNfcseP+vGUd1k/ztqVQ1U/fxF+AdEJyEiFH0U
 K/A1f1/UlhEnQfRoBYURuVZWtL9YSzXt9qVR4UPJWAtnTDO4ivF7+PcmsQaBoXI4FO5e
 /gRZXGRbJWjh3MBOxnIXeV4gcbiOsV7LekI+UwaIsR9RQ/l+5kNYXkROtUFirfjJUmeK
 Wiir42TfutcAlM/KemLZUllmIzgWCGIFDPNU8hfEHKM4BZiRi6LaD5+MqdsvIlSAhqFc
 xDaA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=y/lQY1E9cXC/n7aZHD0g8MeC3kAkE7n3IC5OxQXiHrI=;
 b=Qj7g99e9L6vGKfFPFnb2EcsYNt0q5jvJyiZHNxx7qcBHrE83aMansjCnaCgAO5ARzZ
 ervQLBDI9C0qQNr8QInviiGNTGoB/Bb1x+lk9oCjWv7B1Gf97GQs/MwQ0xbEcT5n7JuA
 rSGSxhVMM3LcUO4vxV7e+EGhHrhgGzjt1rcKyIq/TCbqc4aBLEe7Vfp6Jj1YLJRh8UkP
 yJZeP0T+vuLn+YF8W3XiJuBSr88T8DkqNP/U4PqPDqM7qSKvu99PJkySd8cxs5Ke/pSY
 faE9ao47MG62nj+hMSC5+GvyfVojV4FXIIKLYmmo76oUAcg87ouxohbqQwupGRoP8B09
 ASaA==
X-Gm-Message-State: AOAM530I6SAHSdMYrz69oMmdRkgw1Lz2dXz07SUU1VmoUz7dWQvQjM/+
 j3kVnDdrRNmT2g0/HvuNLImMs2KM
X-Google-Smtp-Source: ABdhPJwvrd12XI312q+933A74kgu8emqRS1DH/6ttyDd24lF5QOVHNXZYuG1gwr58YGDIzqduhTv+Q==
X-Received: by 2002:a37:9d82:: with SMTP id
 g124mr10390822qke.456.1594830228572; 
 Wed, 15 Jul 2020 09:23:48 -0700 (PDT)
Received: from hurd (dsl-149-149.b2b2c.ca. [66.158.149.149])
 by smtp.gmail.com with ESMTPSA id m63sm904512qte.32.2020.07.15.09.23.47
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 15 Jul 2020 09:23:47 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Alexandru-Sergiu Marton <brown121407@HIDDEN>
Subject: Re: bug#42333: Emacs: error on guix-emacs-autoload-packages
References: <87h7udm49d.fsf@HIDDEN> <87r1tgj144.fsf@HIDDEN>
Date: Wed, 15 Jul 2020 12:23:47 -0400
In-Reply-To: <87r1tgj144.fsf@HIDDEN> (Alexandru-Sergiu Marton's message of
 "Sun, 12 Jul 2020 16:48:11 +0300")
Message-ID: <874kq8kar0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42333
Cc: 42333 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello Alexandru,

Alexandru-Sergiu Marton <brown121407@HIDDEN> writes:

> I managed to somehow fix it in a way.
>
> - Uninstall Emacs and all the packages installed with Guix
> - rm -rf .emacs.d
> - guix gc
> - Reinstall Emacs
>
> This way guix-emacs-autoload-packages works again. I installed ALL the
> packages I needed from Guix (I ditched Doom Emacs) and generating my
> site work too now.
>
> Weird thing is that I needed to (require 'org-id) in the script for my
> site but on my PC I don't have to.
>
> I still don't get this weird behaviour.

If you could come with a minimal reproducer, I could have a look.

Otherwise, I'm afraid there's too many variables to keep track
(emacs-doom, possible conflicts with Org when installed from different
places, etc.).

Thank you,

Maxim




Information forwarded to bug-guix@HIDDEN:
bug#42333; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Jul 2020 06:41:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 13 02:41:28 2020
Received: from localhost ([127.0.0.1]:47414 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jus9X-0001Mc-OP
	for submit <at> debbugs.gnu.org; Mon, 13 Jul 2020 02:41:27 -0400
Received: from lists.gnu.org ([209.51.188.17]:35076)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brown121407@HIDDEN>) id 1jus9W-0001MV-59
 for submit <at> debbugs.gnu.org; Mon, 13 Jul 2020 02:41:26 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:48900)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <brown121407@HIDDEN>)
 id 1jus9V-0001yP-Tx
 for bug-guix@HIDDEN; Mon, 13 Jul 2020 02:41:25 -0400
Received: from mout02.posteo.de ([185.67.36.66]:55781)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <brown121407@HIDDEN>)
 id 1jus9T-0001ZT-G8
 for bug-guix@HIDDEN; Mon, 13 Jul 2020 02:41:25 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id AC3CC2400FB
 for <bug-guix@HIDDEN>; Mon, 13 Jul 2020 08:41:20 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.ro; s=2017;
 t=1594622480; bh=Pie7NA0y/R/OMyO6crTk+ZbXctp5F3Dyxb65wTNPoNU=;
 h=From:To:Subject:Date:From;
 b=bPMAeEG3vcaFOEIQWAqsWZkMKyP1xEJm1PWjwBRymWIDDwTSst5YjSHHJcyes4cp+
 NiQIYtbYxp3HzKV6+4Xk7EVopAJA+kYsu2H3Ras3hY/Km7uZE816gERj018WoWYUiz
 GjPSEKsC04OnCbz5O04VJjyTsWGfsB46LiXOm+41VS1P2LDa2yHyQ0iG8ozhKYXwJB
 m5GpkuBDxSM9yu1HgrK70Rnzr3QaCp6B93QuDpeMEwxNSQrFg1F/I9sVtB2v5jfKqn
 J0rbgALsoyTLcPdFxbFasHjkz1cdjL1PlPzJpLQYHBcXtUP1/bb6K1didUGsfDBoWR
 ynPhle+GYjDCA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4B4vDw0VmCz9rxx
 for <bug-guix@HIDDEN>; Mon, 13 Jul 2020 08:41:19 +0200 (CEST)
From: Alexandru-Sergiu Marton <brown121407@HIDDEN>
To: bug-guix@HIDDEN
Subject: Re: bug#42333: Emacs: error on guix-emacs-autoload-packages
In-Reply-To: <87r1tgj144.fsf@HIDDEN> (Alexandru-Sergiu Marton's message of
 "Sun, 12 Jul 2020 16:48:11 +0300")
References: <87h7udm49d.fsf@HIDDEN> <87r1tgj144.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
Date: Mon, 13 Jul 2020 12:41:08 +0300
Message-ID: <87k0z7ycp7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=185.67.36.66; envelope-from=brown121407@HIDDEN;
 helo=mout02.posteo.de
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/07/13 02:41:21
X-ACL-Warn: Detected OS   = Linux 3.11 and newer
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, RCVD_IN_MSPIKE_H3=-0.01, RCVD_IN_MSPIKE_WL=-0.01,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 URIBL_BLOCKED=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Alexandru-Sergiu Marton <brown121407@HIDDEN> writes:

> This way guix-emacs-autoload-packages works again. I installed ALL the
> packages I needed from Guix (I ditched Doom Emacs) and generating my
> site works too now.

I managed to narrow down the problem. If I install Doom Emacs, Guix's
EMACSLOADPATH doesn't seem to be loaded at all into the load-path
variable. This can be fixed with:

(mapc (lambda (p) (add-load-path! p)) (split-string (getenv "EMACSLOADPATH") ":"))

At this point it doesn't complain about that contrib path not being
found. To get there, I pulled my config [1] and ran `doom sync`.

The next time I fired up Emacs and I tried to run
`guix-emacs-autoload-packages` it started to complain about that path.
So I guess somewhere in that processes it screws up the load-path even
more if it manages to add "$GUIX_PROFILE/share/emacs/site-lisp/contrib"
in there.

Since I couldn't find anything actually there or using that path, for
now I have this in my config:

(delete (concat (getenv "HOME") "/.guix-profile/share/emacs/site-lisp/contrib") load-path)

I still have no idea why is the thing behaving the way that it is since
I never had issues like this with the same config on my other machine.
If you have any pointers as to what might have happened or had similar
problems yourself I would love to hear from you.


[1] https://git.sr.ht/~brown121407/dotfiles/tree/master/doom/.config/doom

--
Sergiu




Information forwarded to bug-guix@HIDDEN:
bug#42333; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jul 2020 10:48:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 12 06:48:07 2020
Received: from localhost ([127.0.0.1]:45457 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1juZWh-0007jg-8v
	for submit <at> debbugs.gnu.org; Sun, 12 Jul 2020 06:48:07 -0400
Received: from lists.gnu.org ([209.51.188.17]:53720)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brown121407@HIDDEN>) id 1juZWg-0007jZ-C7
 for submit <at> debbugs.gnu.org; Sun, 12 Jul 2020 06:48:06 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:43796)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <brown121407@HIDDEN>)
 id 1juZWf-0002L0-Tq
 for bug-guix@HIDDEN; Sun, 12 Jul 2020 06:48:06 -0400
Received: from mout01.posteo.de ([185.67.36.65]:58308)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <brown121407@HIDDEN>)
 id 1juZWd-0001Qt-KS
 for bug-guix@HIDDEN; Sun, 12 Jul 2020 06:48:05 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id EDAD316005F
 for <bug-guix@HIDDEN>; Sun, 12 Jul 2020 12:47:59 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.ro; s=2017;
 t=1594550880; bh=OOJzgyncAL+O6PbRH/M+NKamDuUU8ieNeEDFtaCT9Oc=;
 h=From:To:Subject:Date:From;
 b=Y7hUtGLj3ck8ASM9CMhTa7NPadkfWw4ntN/0ynng+hW4iSSgTc5xUqo9AiKgpetEp
 lIDVdIUaKY+WzCRonjGkoUgZQ0NGgRLRaRrl2ZtbTIkigNii+tvBHZN3G9vLOJaxUJ
 dh5LyB20/wLF6SDUH8hIcE5+n8Svk9cyPPE7rl2q0kAZ5xBFckF5Bp3YwdDJGjoAmB
 Qo24JIGV2ulNpyDCnigT1Fy4mAiwI3gjxFnwrMwA7LtQRAq//3gAeon2ahZWQGVMis
 4MpZpAQxCMn9n7nEGU8RU5qhoAsviCyQAkVDwy6QSfHFDrxOvpm9S9h6mXC3+0A7qt
 2ZYAQKQ78S+Rw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4B4Nlz2tCQz9rxM
 for <bug-guix@HIDDEN>; Sun, 12 Jul 2020 12:47:59 +0200 (CEST)
From: Alexandru-Sergiu Marton <brown121407@HIDDEN>
To: bug-guix@HIDDEN
Subject: Re: bug#42333: Emacs: error on guix-emacs-autoload-packages
References: <87h7udm49d.fsf@HIDDEN>
Date: Sun, 12 Jul 2020 16:48:11 +0300
In-Reply-To: <87h7udm49d.fsf@HIDDEN> (Alexandru-Sergiu Marton's message of
 "Sun, 12 Jul 2020 13:11:58 +0300")
Message-ID: <87r1tgj144.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=185.67.36.65; envelope-from=brown121407@HIDDEN;
 helo=mout01.posteo.de
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/07/12 06:48:00
X-ACL-Warn: Detected OS   = Linux 3.11 and newer
X-Spam_score_int: -13
X-Spam_score: -1.4
X-Spam_bar: -
X-Spam_report: (-1.4 / 5.0 requ) BAYES_00=-1.9, DATE_IN_FUTURE_03_06=3.027,
 DKIM_SIGNED=0.1, DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, RCVD_IN_MSPIKE_H4=-0.01, RCVD_IN_MSPIKE_WL=-0.01,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 URIBL_BLOCKED=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: I managed to somehow fix it in a way. - Uninstall Emacs and
 all the packages installed with Guix - rm -rf .emacs.d - guix gc - Reinstall
 Emacs This way guix-emacs-autoload-packages works again. I installed ALL
 the packages I needed from Guix (I ditched Doom Emacs) and generating my site
 work too now. 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 2.4 DATE_IN_FUTURE_03_06   Date: is 3 to 6 hours after Received: date
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [209.51.188.17 listed in wl.mailspike.net]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)


I managed to somehow fix it in a way.

- Uninstall Emacs and all the packages installed with Guix
- rm -rf .emacs.d
- guix gc
- Reinstall Emacs

This way guix-emacs-autoload-packages works again. I installed ALL the
packages I needed from Guix (I ditched Doom Emacs) and generating my
site work too now.

Weird thing is that I needed to (require 'org-id) in the script for my
site but on my PC I don't have to.

I still don't get this weird behaviour.

--
Sergiu




Information forwarded to bug-guix@HIDDEN:
bug#42333; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jul 2020 07:12:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 12 03:12:23 2020
Received: from localhost ([127.0.0.1]:45344 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1juW9v-0002fn-D6
	for submit <at> debbugs.gnu.org; Sun, 12 Jul 2020 03:12:23 -0400
Received: from lists.gnu.org ([209.51.188.17]:39076)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brown121407@HIDDEN>) id 1juW9u-0002ff-42
 for submit <at> debbugs.gnu.org; Sun, 12 Jul 2020 03:12:22 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46218)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <brown121407@HIDDEN>)
 id 1juW9t-0003a9-MN
 for bug-guix@HIDDEN; Sun, 12 Jul 2020 03:12:21 -0400
Received: from mout01.posteo.de ([185.67.36.65]:50030)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <brown121407@HIDDEN>)
 id 1juW9r-0005cg-6d
 for bug-guix@HIDDEN; Sun, 12 Jul 2020 03:12:21 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 011B3160060
 for <bug-guix@HIDDEN>; Sun, 12 Jul 2020 09:12:10 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.ro; s=2017;
 t=1594537930; bh=ZFMM/KkcNUGriAqVSFMs3HvWS+jmWZLt3lkGgL44mj8=;
 h=From:To:Subject:Date:From;
 b=H2M8JEHcdRDIHcNWHH9kHdNFqbega2GQ088n7F3QJLhJ1jzAQjV/sg6DwrXy/psGZ
 IMyO+4I300liuQJotSf1baPmtFyLKiZBLu0buBxk+/ePBzTCjFnSQNl2R93lGDAQK8
 ccQ+769fRxtFhUkVpKQOZHL50VdWxrIbzf35ipJrXLn85L3bIcgA9a9Vpt+GED0j5K
 KgiLc0e7oryYcOpeLynfF2B/M+aRa3pB0hSitiSgWXMNIvgVOhW/Ma+DnI4OVo1xwY
 4HJPiyCBUQReSVQxH/1ORfPxR3mjO9888cvngNr5mrZIYgfW87vj9kyQqT3dkNelC0
 aqQNLQ58foYEw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4B4Hyx3w6jz6tmM
 for <bug-guix@HIDDEN>; Sun, 12 Jul 2020 09:12:09 +0200 (CEST)
From: Alexandru-Sergiu Marton <brown121407@HIDDEN>
To: bug-guix@HIDDEN
Subject: Emacs: error on guix-emacs-autoload-packages
Date: Sun, 12 Jul 2020 13:11:58 +0300
Message-ID: <87h7udm49d.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=185.67.36.65; envelope-from=brown121407@HIDDEN;
 helo=mout01.posteo.de
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/07/12 03:10:02
X-ACL-Warn: Detected OS   = Linux 3.11 and newer
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, RCVD_IN_MSPIKE_H4=-0.01, RCVD_IN_MSPIKE_WL=-0.01,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 URIBL_BLOCKED=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


Hi,

I'm having a bit of trouble with Emacs on Guix. When I do `M-x
guix-emacs-autoload-packages` I get the following error:

--8<---------------cut here---------------start------------->8---
guix-emacs-find-autoloads: Opening directory: No such file or directory, /home/brown121407/.guix-profile/share/emacs/site-lisp/contrib
--8<---------------cut here---------------end--------------->8---

This happened (this time!) after I installed Org mode from the package
interface in Emacs. I don't think that is exacly what triggered it now
but that was the last thing I did before restarting Emacs and running
into this. The other times it happened (twice before) I don't remember
what I was doing.

I'm using Doom Emacs right now. I have problems with Emacs almost since
I set it up on this laptop. I use the same config I'm using on my PC,
where everything works. Both machines use Guix System.

Besides this problem with loading Emacs packages from Guix I also
encountered problems with Org mode while trying to build my website.
Those were also not met before, on the same config, on my PC.

In case someone wants to test building the website:

1. Clone https://git.sr.ht/~brown121407/brown.121407.xyz
2. Open publish.el in Emacs
3. M-x eval-buffer RET
4. M-x b7-publish-all RET

It requires Org mode and the stuff you'd expect to publish HTML like
htmlize and also the contrib files of Org which on Guix should be in the
emacs-org-contrib package.

If all is fine (as it is on my PC) you should go through the whole site
build fine. But if it's borked as it is on my laptop it should give you
some obscure errors about setting IDs (if you check the backtrace it
should be something about `org-id-add-location` or similar things). That
is if you don't run into other errors earlier than that stage (which
happened to me).

Here's my EMACSLOADPATH:

--8<---------------cut here---------------start------------->8---
[brown121407@T420 ~]$ echo $EMACSLOADPATH
/home/brown121407/.guix-profile/share/emacs/site-lisp:/home/brown121407/.guix-profile/share/emacs/26.3/lisp:/home/brown121407/.guix-profile/share/emacs/site-lisp:/home/brown121407/.guix-profile/share/emacs/26.3/lisp:/home/brown121407/.guix-profile/share/emacs/site-lisp:/home/brown121407/.guix-profile/share/emacs/26.3/lisp
--8<---------------cut here---------------end--------------->8---

Here's the backtrace:

--8<---------------cut here---------------start------------->8---
Debugger entered--Lisp error: (file-missing "Opening directory" "No such file or directory" "/home/brown121407/.guix-profile/share/emacs/site-lisp/contrib")
  directory-files("/home/brown121407/.guix-profile/share/emacs/site-lisp/contrib" full-name ".*-autoloads\\.elc?\\'")
  guix-emacs-find-autoloads("/home/brown121407/.guix-profile/share/emacs/site-lisp/contrib")
  mapcan(guix-emacs-find-autoloads ("/home/brown121407/.guix-profile/share/emacs/site-lisp/contrib" "/home/brown121407/.guix-profile/share/emacs/site-lisp" "/home/brown121407/.guix-profile/share/emacs/site-lisp" "/home/brown121407/.guix-profile/share/emacs/site-lisp"))
  guix-emacs-autoload-packages()
  funcall-interactively(guix-emacs-autoload-packages)
  call-interactively(guix-emacs-autoload-packages record nil)
  command-execute(guix-emacs-autoload-packages record)
  counsel-M-x-action("guix-emacs-autoload-packages")
  ivy-call()
  ivy-read("M-x " ("guix-emacs-autoload-packages" "list-packages" "eval-buffer" "guix" "cd" "5x5" "amx" "arp" "dbx" "dig" "erc" "ert" "eww" "ftp" "gdb" "irc" "jdb" "lsp" "man" "mpc" "pdb" "pwd" "rsh" "sdb" "xdb" "=irc" "=rss" "calc" "diff" "dirs" "ffap" "gnus" "grep" "help" "ielm" "info" "life" "lsp!" "mail" "mpuz" "mu4e" "pass" "ping" "pong" "talk" "term" "undo" "yank" "zone" "=mu4e" ...) :predicate #f(compiled-function (x) #<bytecode 0x1cd4621>) :require-match t :history counsel-M-x-history :action counsel-M-x-action :keymap (keymap (67108908 . counsel--info-lookup-symbol) (67108910 . counsel-find-symbol)) :initial-input nil :caller counsel-M-x)
  counsel-M-x()
  funcall-interactively(counsel-M-x)
  call-interactively(counsel-M-x nil nil)
  command-execute(counsel-M-x)
--8<---------------cut here---------------end--------------->8---

Here's the output of `guix describe` and `guix system describe`:

--8<---------------cut here---------------start------------->8---
[brown121407@T420 ~]$ guix describe
Generation 3    Jul 12 2020 11:33:56    (current)
  nonguix d174095
    repository URL: https://gitlab.com/nonguix/nonguix
    branch: master
    commit: d174095d26f46fa148f540fcefbdcef52451f5ec
  brett f2e2d5c
    repository URL: https://git.sr.ht/~brettgilio/cfg
    branch: master
    commit: f2e2d5ca554049715f281b80448b868197da80e6
  evan 6eb4ede
    repository URL: https://git.sr.ht/~ev4nx99/guix-channel
    branch: master
    commit: 6eb4ede0c48502aceb681f45bda15fb28f38b990
  brown121407 7245765
    repository URL: https://git.sr.ht/~brown121407/guix.121407.xyz
    branch: master
    commit: 7245765f85a155ba03fada98cfe8270578594301
  guix 83b5ea9
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 83b5ea9d18772334a47c3d76c6ca73a123cac12c

[brown121407@T420 ~]$ guix system describe
Generation 5    Jul 10 2020 22:27:51    (current)
  file name: /var/guix/profiles/system-5-link
  canonical file name: /gnu/store/2c7rcrqdf11cqgb797l5qfv7xa20q0pb-system
  label: GNU with Linux 5.4.51
  bootloader: grub
  root device: UUID: 792f9783-0923-4f96-a2d3-b083f69dd46c
  kernel: /gnu/store/fxg5iiy5nyvgdj5w00zhgmj9s1hv3z5v-linux-5.4.51/bzImage
  channels:
    nonguix:
      repository URL: https://gitlab.com/nonguix/nonguix
      branch: master
      commit: d174095d26f46fa148f540fcefbdcef52451f5ec
    brett:
      repository URL: https://git.sr.ht/~brettgilio/cfg
      branch: master
      commit: fa4fb6e4e5062614d2d21dfa9c64b52cdc091892
    evan:
      repository URL: https://git.sr.ht/~ev4nx99/guix-channel
      branch: master
      commit: 6eb4ede0c48502aceb681f45bda15fb28f38b990
    brown121407:
      repository URL: https://git.sr.ht/~brown121407/guix.121407.xyz
      branch: master
      commit: 7245765f85a155ba03fada98cfe8270578594301
    guix:
      repository URL: https://git.savannah.gnu.org/git/guix.git
      branch: master
      commit: ec4c404c0575b340a04b3922fb828ac5417832dd
  configuration file: /gnu/store/rsg585v5z1bia3nxgll56h1n5p1vjz2i-configuration.scm
--8<---------------cut here---------------end--------------->8---

Cheers,
Sergiu




Acknowledgement sent to Alexandru-Sergiu Marton <brown121407@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#42333; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 1 Sep 2020 18:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.